public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "David Seifert" <soap@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-mathematics/nestedsums/
Date: Sun, 31 Jan 2021 21:10:41 +0000 (UTC)	[thread overview]
Message-ID: <1612127428.683ba92cd683c98b803b8cb34030046a5a8e45cb.soap@gentoo> (raw)

commit:     683ba92cd683c98b803b8cb34030046a5a8e45cb
Author:     Jakov Smolic <jakov.smolic <AT> sartura <DOT> hr>
AuthorDate: Sun Jan 31 21:10:28 2021 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sun Jan 31 21:10:28 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=683ba92c

sci-mathematics/nestedsums: Drop USE=static-libs

Closes: https://github.com/gentoo/gentoo/pull/19281
Signed-off-by: Jakov Smolic <jakov.smolic <AT> sartura.hr>
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 .../nestedsums/nestedsums-1.5.2-r1.ebuild          | 31 +++++++++-------------
 1 file changed, 12 insertions(+), 19 deletions(-)

diff --git a/sci-mathematics/nestedsums/nestedsums-1.5.2-r1.ebuild b/sci-mathematics/nestedsums/nestedsums-1.5.2-r1.ebuild
index 99a09d617d4..862b5e97fa2 100644
--- a/sci-mathematics/nestedsums/nestedsums-1.5.2-r1.ebuild
+++ b/sci-mathematics/nestedsums/nestedsums-1.5.2-r1.ebuild
@@ -1,24 +1,26 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
 
-inherit multilib flag-o-matic
+inherit flag-o-matic
 
 DESCRIPTION="A GiNaC-based library for symbolic expansion of certain transcendental functions"
 HOMEPAGE="https://particlephysics.uni-mainz.de/weinzierl/nestedsums/"
-IUSE="doc static-libs"
 SRC_URI="http://particlephysics.uni-mainz.de/weinzierl/download/${P}.tar.gz"
+
 LICENSE="GPL-2"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
-RDEPEND=">=sci-mathematics/ginac-1.7[static-libs=]"
-DEPEND="${RDEPEND}
-	doc? ( app-doc/doxygen )"
+IUSE="doc"
+
+RDEPEND=">=sci-mathematics/ginac-1.7"
+DEPEND="${RDEPEND}"
+BDEPEND="doc? ( app-doc/doxygen )"
 
 src_configure() {
 	append-cxxflags -std=c++14
-	econf $(use_enable static-libs static)
+	econf --disable-static
 }
 
 src_compile() {
@@ -26,20 +28,11 @@ src_compile() {
 
 	if use doc; then
 		doxygen Doxyfile || die "generating documentation failed"
+		HTML_DOCS=( reference/html/. )
 	fi
 }
 
-src_test() {
-	emake check
-}
-
 src_install() {
-	emake DESTDIR="${D}" install
-	rm "${D}"/usr/$(get_libdir)/lib${PN}.la || die "cannot rm lib${PN}.la"
-	dodoc AUTHORS ChangeLog
-
-	if use doc; then
-		docinto html
-		dodoc -r reference/html/.
-	fi
+	default
+	find "${ED}" -name '*.la' -delete || die
 }


             reply	other threads:[~2021-01-31 21:10 UTC|newest]

Thread overview: 11+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-01-31 21:10 David Seifert [this message]
  -- strict thread matches above, loose matches on Subject: below --
2020-08-21  8:54 [gentoo-commits] repo/gentoo:master commit in: sci-mathematics/nestedsums/ Andrey Grozin
2020-08-21  8:52 Andrey Grozin
2020-02-01  9:15 Andrey Grozin
2020-02-01  7:42 Joonas Niilola
2020-01-31 16:31 Andrey Grozin
2020-01-31 16:30 Andrey Grozin
2017-06-16 19:57 Andreas Hüttel
2017-05-23 18:45 Andrey Grozin
2017-02-05 20:57 Andrey Grozin
2016-01-04  9:40 Andrey Grozin

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1612127428.683ba92cd683c98b803b8cb34030046a5a8e45cb.soap@gentoo \
    --to=soap@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox